import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Key present in the game
 * 
 * @author Chandrasekhar Thotakura
 * @version 1.0.0
 */
public class Key  extends Door
{
    /**
     * Constructor
     */
    public Key()
    {
    }
    
    @Override
    public void act() 
    {
        if(world.gameState == State.GAMERUNNING)
        {
            myAct();
        }
    }
    
    public void myAct() 
    {
        if(getOneIntersectingObject(Hero.class) != null)
        {
            if(world.getObjects(Enemy.class).size() == 0 && world.getObjects(Spawn.class).size() == 0)
            {
                Greenfoot.playSound("gain.mp3");
                world.addObject(new Door(), 4*WALL_W+WALL_W, 4*WALL_W+WALL_W);
                world.removeObject(world.timer);
                world.lines[2].changeBackground(java.awt.Color.BLACK);
                world.lines[4].changeBackground(java.awt.Color.RED);
                world.removeObject(this);
            }
            else
            {
                world.hero.move(DIR_L, 10.0);
                world.info.setInfo("   Kill all enemies and thier spawning areas and come back.");
            }
        }
    }    
}
