import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Points to the line to be clicked in the left hand side.
 * 
 * @author Chandrasekhar Thotakura
 * @version 1.0.0
 */
public class Pointer  extends CustomActor
{
    private int flag = 0;
    private static final int LIMIT = 30;
    
    public void act()
    {
        shakePointer();
        //if (Greenfoot.mouseClicked(this)) {
        //    world.removeObject(this);
        //}
    }   
    
    /**
     * Shakes the pointer
     */
    public void shakePointer()
    {
        if(flag == LIMIT/2) {
            setLocation(getX() + 5, getY());
        } else if(flag == LIMIT) {
            setLocation(getX() - 5, getY());
            flag = 0;
        }
        flag++;
    }
}
