import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This class is the super class for all the Actors in the game.
 * 
 * @author Chandrasekhar Thotakura
 * @version 1.0.0
 */
public class CustomActor extends Actor implements R
{
    protected GameWorld world;
    
    /**
     * getWidth will return the width
     */
    public int getWidth()
    {
        return getImage().getWidth();
    }
    
    /**
     * getHeight will return the height
     */
    public int getHeight()
    {
        return getImage().getHeight();
    }

    /**
     * addedToWorld
     */
    @Override
    public void addedToWorld(World w)
    {
        this.world = (GameWorld)w;
    }
}