import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Doors present in the game.
 * 
 * @author Chandrasekhar Thotakura
 * @version 1.0.0.
 */
public class Door  extends CustomActor
{
    /**
     * Constructor
     */
    public Door()
    {
    }
    
    @Override
    public void act() 
    {
        if(world.gameState == State.GAMERUNNING)
        {
            myAct();
        }
    }
    
    public void myAct() 
    {
        if(getOneIntersectingObject(Hero.class) != null)
        {
            if(world.currentLevel <= 2)
            {
                if(world.getObjects(Enemy.class).size() <= 0 && world.getObjects(Spawn.class).size() <= 0)
                {
                    world.changeLevel();
                }
                else
                {
                    world.hero.move(DIR_U, 10.0);
                    world.info.setInfo("   Kill all enemies and thier spawning areas and come back.");
                }
            }
            else
            {
                if(world.getObjects(Gift.class).size() <= 0)
                {
                    world.changeLevel();
                }
                else
                {
                    world.hero.move(DIR_R, 10.0);
                    world.info.setInfo("   Collect Coins.");
                }
            }
        }
    }    
}
